#ifndef LCD_H_
#define LCD_H_

#include "common_config.h"
#include <stdint.h>

#define LCD_HEIGH   65
#define LCD_WIDTH   132

#define FONTSIZE_X   6
#define FONTSIZE_Y   8

typedef enum {
    alignLEFT,
    alignRIGHT,
    alignCENTER
} align_t;

void LCD_Init();
void LCD_PrintRow(uint8_t row, uint8_t y, char *text);
void LCD_PrintAligned(uint8_t x, align_t align, char *text);
void LCD_ClearRow(uint8_t row);
void LCD_PrintBar(uint8_t row, uint8_t progress);

#endif /* LCD_H_ */